## LsmDomElement LsmDomElement — Base class for DOM element nodes |

## Functions

const char * | lsm_dom_element_get_tag_name ()
const char * | lsm_dom_element_get_attribute ()
void | lsm_dom_element_set_attribute ()

## Types and Values

| LsmDomElement

## Object Hierarchy

        GObject
        ╰── LsmDomNode
            ╰── LsmDomElement

## Description

## Functions

### lsm_dom_element_get_tag_name ()

    const char *
    lsm_dom_element_get_tag_name (LsmDomElement *self);

#### Parameters

self | a LsmDomElement |

#### Returns

element tag name.

[transfer none]

### lsm_dom_element_get_attribute ()

    const char *
    lsm_dom_element_get_attribute (LsmDomElement *self,
                                   const char *name);

#### Parameters

self | a LsmDomElement |
name | attribute name |

#### Returns

attribute value, as string.

[transfer none]

### lsm_dom_element_set_attribute ()

    void
    lsm_dom_element_set_attribute (LsmDomElement *self,
                                   const char *name,
                                   const char *attribute_value);

Set the atribute value.

#### Parameters

self | a LsmDomElement |
name | attribute name |
attribute_value | attribute value as string |

## Types and Values

### LsmDomElement

    typedef struct _LsmDomElement LsmDomElement;